Bug 755963 - logrotate doesn't rotate on /var/log/nocpulse/
Summary: logrotate doesn't rotate on /var/log/nocpulse/
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nocpulse-common
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-22 14:47 UTC by Marcela Mašláňová
Modified: 2011-12-10 19:52 UTC (History)
1 user (show)

Fixed In Version: nocpulse-common-2.2.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-10 19:52:31 UTC
Type: ---


Attachments (Terms of Use)

Description Marcela Mašláňová 2011-11-22 14:47:08 UTC
I'm not sure whether the bug is in logrotate or in nocpulse-common. The nocpulse log didn't rotate because of owner of /var/log/nocpulse directory.

From root@localhost.localdomain  Mon Nov 21 10:37:03 2011
Return-Path: <root@localhost.localdomain>
Received: from localhost.localdomain (localhost [127.0.0.1])
        by localhost.localdomain (8.14.5/8.14.5) with ESMTP id pAL9b3Ds004644
        for <root@localhost.localdomain>; Mon, 21 Nov 2011 10:37:03 +0100
Received: (from root@localhost)
        by localhost.localdomain (8.14.5/8.14.5/Submit) id pAL9b33A004643
        for root; Mon, 21 Nov 2011 10:37:03 +0100
Date: Mon, 21 Nov 2011 10:37:03 +0100
Message-Id: <201111210937.pAL9b33A004643@localhost.localdomain>
From: Anacron <root@localhost.localdomain>
To: root@localhost.localdomain
Content-Type: text/plain; charset="ANSI_X3.4-1968"
Subject: Anacron job 'cron.daily' on localhost.localdomain

/etc/cron.daily/logrotate:

error: skipping "/var/log/nocpulse/*log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation.

Comment 1 Miroslav Suchý 2011-11-22 16:08:03 UTC
Fixed in upstream in commit 0c53a3a3d6a98049556d44d6805eebc5a3b85a2d

Comment 2 Fedora Update System 2011-11-22 16:26:27 UTC
nocpulse-common-2.2.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nocpulse-common-2.2.1-1.fc16

Comment 3 Fedora Update System 2011-11-23 01:00:40 UTC
Package nocpulse-common-2.2.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nocpulse-common-2.2.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16277/nocpulse-common-2.2.1-1.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-12-10 19:52:31 UTC
nocpulse-common-2.2.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.